Contents

TestPath version 1.3

TestPath is designed to check the files you write/burn on a new CD-R, although you can check any two paths. Now you can be sure that all files that you wrote to the CD-R are there and without write errors. The program reads all the files in the source path and its subdirectories and then compares them with the files in the destination path. The program will then report the missing files in the destination path and report files with differences. Different comparing options, such as 'compare by file time' and 'do fast comparing' are also available.

Homepage: http://home.delfi.lv/ojarsk
Email: ojarsk@parks.lv

Special thanks to Dimitri Diels for helping me with this help file.
The installation program for TestPath was created using Inno Setup.


Program Interface

This section of the help file will explain the different program windows. Please select the window whose interface you would like to see.


Main Window

This is the main window of the program.
The menu bar contains following items:

File/Settings | Display the settings dialog.
File/Save | Save the comparison results into a text file. You must select the filename from the standard Windows Save As dialog box.
File/Exit | Exit the program.
Help/Contents | Display this help file.
Help/About | Display the program information and license.
Help/How to Register | Display the information how to register the software.
Help/Register | Display the registration window.

The available controls are:

Source path | Type the source path in this field or press the Browse button to select the path from the standard Windows Browse dialog box.
Destination path | Type the destination path in this field or press the Browse button to select the path from the standard Windows Browse dialog box.
Files with differences | This box will contain the results of the comparison, thus all files with errors and differences. In case the error message is longer than the space on the screen, move your mouse over the item in the list and a tooltips control will appear with the full text. Or you can scroll the list horizontally to see all the text.
Compare | Press this button to start comparing.
Stop | When the program is comparing, you can press this button to stop the process. After pressing this button you may need to wait a few moments until the comparing process finishes.
Settings | Press this button to display the settings dialog.
Priority | This option sets the process priority, which is mostly used for WinNT or Win2k. For Win9x it is possible that you can't notice any difference when changing this option. If you want to do other tasks while comparing, set this option to Lower or Low. If you want faster comparing, leave this option at Normal or set it higher. You can change this option either before comparing or while comparing is active.
Status part | The lower part of the program contains statistics of the current/last comparing process. This part changes depending on the current status/mode of the program. When you start comparing it will display how many files were found so far in the source path. After that the program will start comparing the files and the status will show how many files (and how many bytes) still need to be compared. After comparing ends it will display the number of files/bytes that was compared.


Settings

You can change following settings:

Read buffer | This option sets the read buffer size, which affects the comparing time. It is impossible to suggest which setting is best for your computer, so compare the files at different buffer settings and then compare the work time. Then select the buffer size in which case the work time is shortest. Generally you should select the buffer size in which case the CD-ROM drive reads the data as smooth as possible. Definitely experiment with this setting, because on my computer the time needed to compare a full CD change from about 5 to 15 minutes.
Compare file times and dates | When this option is checked the program will not only compare each file byte by byte but will also compare the file times and dates. Normally you do not need this option checked because modified files have different times and dates.
Compare in both directions | If this option is NOT checked the program finds all files in the source path and then compares them with the files in the destination path. That means that if this option is NOT checked then there can be more files in the destination path, which will be ignored. This is done specially so you can burn CD's with more than one session and check only newly burned files. If you CHECK this option then the program will also find all files in the destination path and check for their existence in the source path.
Fast compare | When this option is checked the program will only check the existence and size of the files. If the files have different bytes it will NOT be reported. If you want to check both the existence and the time and date, then also check the "Compare file times and dates" option.
OK | Remembers the settings and closes the dialog.
Cancel | Closes the dialog without remembering the changes.


Command Line Support

TestPath has command line support for advanced users. This mode can be used to set comparison parameters and also to start automatic comparing mode without the need for user interface actions.

Parameters are case insensitive (you can use either lower or upper case parameters). Parameters can be prefixed with either a slash (/) or a hyphen (-), but must be separated by a space. Do not combine two or more parameters together.
Correct: TestPath.exe /S /OT /OB
Incorrect: TestPath.exe /SOTOB
All options, except /S, are ignored if automatic comparing mode (/A) is not specified. In automatic comparing mode the options and paths that you set using the command line are only used for current comparing and will not be saved.

You can use following command line parameters:

/S

 Do not show skin on the window backgrounds and buttons.
This parameter is added for compability reasons in case there is a problem to draw the background skin picture or to paint the buttons.
Example:
>TestPath.exe /S

/A

 Start automatic comparing.
This parameter MUST be followed by two paths, the source path followed by the destination path. If any of these paths have spaces in them, you must enclose the path in double quotes.
Example:
>TestPath.exe /A "c:\new cd data\burn" "d:\"

Example with incorrect parameters (there is /S between /A and two paths):
>TestPath.exe /A /S "c:\new cd data\burn" "d:\"

/R

 Save results to file (can only be used when /A is used).
Filename of the results file must follow this parameter. It is suggested to use the full path for the filename. If the filename containts spaces, you must enclose it in double quotes.
Example:
>TestPath.exe /A "c:\new cd\burn" "d:\" /R "c:\new cd\results.txt"

/P

 Append results to file (is ignored if /R is not specified).
Specify this parameter to append new results to the given file. If this parameter is not specified, a new results file will be created.
Example:
>TestPath.exe /A "c:\new cd\burn" "d:\" /R "c:\new cd\results.txt" /P

/E

 Save only errors to results file (is ignored if /R is not specified).
Specify this parameter if you want the results file to be written only if errors are found. If this parameter is not specified, the results file will always be written.
Example:
>TestPath.exe /A "c:\new cd\burn" "d:\" /R "c:\new cd\results.txt" /E

/O

 Options
You can use the following options:
/OT - Compare file times and dates
/OB - Compare in both directions
/OF - Fast compare (only file existence and size)

/OS - Read buffer size
/OS0 - 1 KB
/OS1 - 32 KB
/OS2 - 128 KB
/OS3 - 256 KB
/OS4 - 512 KB (default value)
/OS5 - 1 MB
/OS6 - 5 MB
/OS7 - 10 MB
/OP - Priority
/OP0 - Lowest
/OP1 - Low
/OP2 - Normal (default value)
/OP3 - High
/OP4 - Highest

Example:
>TestPath.exe /OT /OB /OS2 /OP1
When using automatic comparing mode TestPath will return following errorlevel numbers:
0 | No errors found
1 | Errors found (files are different, not found, etc)
2 | Comparing stopped by user
3 | Bad parameters
9 | Other critical error


License

TestPath v1.3
License for use and distribution

Depending on the computer where the software is installed on and how you use it, your license falls into either the "Personal Use" or the "Corporate Use" category.

"Personal Use" means that you use the "TestPath" software on a personal (usually home, owned by a person) computer and you do not gain any profit from using the software.

"Corporate Use" means everything that does not fall into the "Personal Use" category. Particulary you fall into the "Corporate Use" category if you use the program on a computer that is owned by a company (and not you personally) or if you gain profit from using the software.

License for Personal Use:

1. All copyrights to "TestPath" are exclusively owned by the author - Ojars Krumins. The software is licensed to you, not sold. The software is protected by copyright laws and international treaty provisions.

2. For Personal Use "TestPath" is free and may be used with no limitations. Personal free version of "TestPath" is exactly the same as a registered version for Corporate Use. There are no limitations or missing functions. If you would like to support me you can also register your copy. You must understand that registering will give you no advantages or additional features except supporting me and possible future versions of "TestPath".

3. No person or company may distribute "TestPath" (this includes but is not limited to WWW-server or FTP-server publishing) for a fee without written permission from the copyright holder.

4. "TestPath" IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE IT AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

5. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement.

6. Installing and using "TestPath" signifies acceptance of these terms and conditions of the license.

7. If you do not agree with the terms of this license you must remove the "TestPath" files from your storage devices and cease to use the product.

License for Corporate Use:

1. All copyrights to "TestPath" are exclusively owned by the author - Ojars Krumins. The software is licensed to you, not sold. The software is protected by copyright laws and international treaty provisions.

2. For Corporate Use "TestPath" is shareware which means that you can use it freely for 10 days to evaluate it. If during or at the end of the evaluation period you decide that you would like to continue using "TestPath" then you must register the software. If you do not register the software for Corporate Use after the evaluation period then you must delete it from your computer storage devices. Information on how to register the software you can be found on the web page http://home.delfi.lv/ojarsk/testpath.

3. After registering the software, you are licensed to use "TestPath" on one computer. If you want to use the software on more than one computer, you must purchase separate licenses. You may not transfer this product or the registration information to another person or company.

4. No person or company may distribute "TestPath" (this includes but is not limited to WWW-server or FTP-server publishing) for a fee without written permission from the copyright holder.

5. "TestPath" IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE IT AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

6. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement.

7. Installing and using "TestPath" signifies acceptance of these terms and conditions of the license.

8. If you do not agree with the terms of this license you must remove "TestPath" files from your storage devices and cease to use the product.

----------

Thank you for using "TestPath".

Ojars Krumins


How To Register

According to the license for "Corporate Use" TestPath software is shareware and can be used legally for 10 days before it needs to be registered. After evaluation period you must either register the software or delete it.

The current (at the moment of making this software) registration amount is US $10.00. This registration possibly includes next version of the TestPath and/or bugfixes (if any are found).

Online Registration

To find latest registration information please go to the following web page: http://home.delfi.lv/ojarsk/testpath